%define qt4l_ver 1.4
%define qt4l_patchlevel 2
%define movtar_ver 0.1.3
%define jpeg_mmx_ver 0.1.4

Name: mjpegtools
Version: 1.6.0
Release: alt3
Summary: Tools for recording, editing, playing back and mpeg-encoding video under linux
License: GPL
Url: http://mjpeg.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Group: Video
%define _url http://prdownloads.sourceforge.net/mjpeg
Source0: %_url/%name-%version.tar.gz
Source1: %_url/quicktime4linux-%qt4l_ver-patched-%qt4l_patchlevel.tar.gz
Source2: %_url/libmovtar-%movtar_ver.tar.gz
Source3: %_url/jpeg-mmx-%jpeg_mmx_ver.tar.gz

Patch: %name-1.6.0-alt-no_warnings_makefile.patch

%define avifile_ver 0.715
%define libdv_ver 0.98
%define popt_ver 1.7-alt5

Requires: %name-libs = %version-%release 
Requires: libavifile >= %avifile_ver
Requires: libdv >= %libdv_ver
Requires: libpopt >= %popt_ver

BuildPreReq: libpopt-devel >= %popt_ver
BuildPreReq: libavifile-devel >= %avifile_ver
BuildPreReq: libdv >= %libdv_ver

# Automatically added by buildreq on Sun Nov 10 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel fontconfig freetype2 gcc-c++ glib-devel glibc-devel-static gtk+-devel libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libavifile-devel libdv-devel libexpat libgpm-devel libjpeg-devel libpng-devel libpopt-devel libslang-devel libstdc++-devel nasm zlib-devel

%description
The MJPEG-tools are a basic set of utilities for recording, editing,
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%ifarch %ix86
NOTE:
The resultant binaries will ***NOT*** run on a K6 or Pentium CPU
%endif

%package libs
Summary: Shared libraries for the mjpegtools
Group: System/Libraries

%description libs
This package contains shared libraries needed to run mjpegtools.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%package devel
Summary: Development headers and libraries for the mjpegtools
Group: Development/C
Requires: %name-libs = %version-%release

%description devel
This package contains libraries and header files needed to compile
applications that use part of the libraries of the mjpegtools package.

%package static-libs
Summary: Static libraries for the mjpegtools
Group: Development/C
Requires: %name-devel = %version-%release

%description static-libs
This package contains static libraries needed to compile applications
that use part of the libraries of the mjpegtools package.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%prep
%setup -q -a 1 -a 2 -a 3
%__mv jpeg-mmx-* jpeg-mmx
%__mv quicktime4linux-* quicktime4linux
%__mv libmovtar-* libmovtar
#patch -p1

%build
%__mkdir_p .{%_includedir,%_libdir,%_bindir,%_datadir}
top_dir="`pwd`"
tmp_prefix="$top_dir/usr"

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Build jpeg-mmx
pushd jpeg-mmx
./configure
%make_build
popd

# Build quicktime4linux
pushd quicktime4linux
./configure --use-dv \
	    --use-firewire

%make_build
popd

# Build libmovtar
pushd libmovtar
./configure --prefix="$tmp_prefix" \
	--with-m4data-prefix="$tmp_prefix/share/aclocal" \
	--with-jpeg-mmx="$top_dir/jpeg-mmx"

%make_build
%make install 
%make clean

%configure --with-jpeg-mmx="$top_dir/jpeg-mmx"
%make_build
popd

# Build mjpegtools
#%%__aclocal
#%%__autoconf
#%%__automake
%configure --with-quicktime="$top_dir/quicktime4linux" \
	--with-movtar-prefix="$tmp_prefix" \
	--enable-large-file \
	--enable-cmov-extension

%if 0
--enable-xfree-ext	use XFree extensions (DGA)
--enable-simd-accel	use SIMD multimedia instructions (MMX,AltiVec etc) if possible
%endif

%make_build "MOVTAR_CONFIG=$tmp_prefix/bin/movtar-config"

%install
%make -C libmovtar DESTDIR=%buildroot install
%makeinstall

%post libs -p %post_ldconfig
%postun libs -p %postun_ldconfig

%files
%_bindir/*.flt
%_bindir/divxdec
%_bindir/glav
%_bindir/jpeg2yuv
%_bindir/lav*
%_bindir/movtar_*
%_bindir/mp*
%_bindir/pnm2rtj
%_bindir/ppm*
%_bindir/rtjshow
%_bindir/testrec
%_bindir/y4m*
%_bindir/ypipe
%_bindir/yuv*
%doc AUTHORS BUGS CHANGES HINTS PLANS README TODO
%_man1dir/*

%files libs
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_includedir/*
%_datadir/aclocal/*
%_libdir/pkgconfig/*
%_libdir/*.la
%_libdir/*.so

%files static-libs
%_libdir/*.a

%changelog
* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt3
- Rebuilt with new libdirectfb.

* Sun Sep 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt2
- rebuild with new libdv (0.98), XFree86. 
- gcc-3.2 used.
- buildrequires updated.

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0 release. 

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt0.5rc2
- First build for Sisyphus.
